Forum

Page 7 of 14 FirstFirst ... 56789 ... LastLast
Results 91 to 105 of 202
  1. #91
    Join Date
    April 2012
    Posts
    46
    Quote Originally Posted by CTPred View Post
    Makes sense. The reason I was asking for an easy way to get ServerGroup/Channel IDs is because if you're moving people to a channel you're not in, from a channel you're not in, you need to know the ID numbers. That's how I figured they're related to auto-moving.

    Either way, you're not adding features, just keeping it up to date with the latest API version. That alone is awesome! Thanks for doing it! =)
    Right, but, those were originally provided in TeamSpeak, and are now provided in that Extended Info Theme -- did you check out the link I sent? That is how I get the IDs I need to do things, and how my staff does as well.

    No problem, and again, sorry I can't be of more help right now.

  2. #92
    Join Date
    August 2012
    Posts
    4
    If you sent me a link, I missed it, but I took a look at that theme and that'll help for now, thanks!

  3. #93
    Join Date
    September 2012
    Posts
    1
    Api 18 please?

  4. #94
    Join Date
    October 2011
    Posts
    25
    I buildt a a version for Linux which works with API v 18.

    http://ge.tt/8zj56bN/v/0?c
    http://netkups.com/?d=a130859954990

    md5sum 727397a796d2e1bb7ac7366ed1cc6c5b
    sha1sum da90c67f1881e0e8cd2f8c536cd7b5b6981a71c1

    The installation instructions are the same as they are with my own plugin (ts3 love) so look at the README.txt and INSTALL.txt of that if you need help.

  5. #95
    Join Date
    April 2012
    Posts
    46
    Quote Originally Posted by Denismpz View Post
    Api 18 please?
    Hey, please at least check the last few posts for stuff like this. I'm not the original author, but I've been maintaining it. Here're the downloads again:

    Plugin Files: https://mpql.net/files/uploads/ts3_mass_mover_api18.zip
    Plugin Installer: https://mpql.net/files/uploads/TS3MassMover.ts3_plugin

    Quote Originally Posted by sseering View Post
    I buildt a a version for Linux which works with API v 18.
    Hey, thanks! I made virustotal logs of them for anyone interested.

    x86: https://www.virustotal.com/file/ecc1...is/1347521054/
    x86_64: https://www.virustotal.com/file/5581...is/1347521073/

    I use Windows myself, but if I can set up good way to compile this for Linux either on my Windows machine or my server, I'll start doing so myself. Thanks again.

  6. #96
    Join Date
    October 2011
    Posts
    25
    Quote Originally Posted by Mopquill View Post
    Hey, thanks! I made virustotal logs of them for anyone interested.

    x86: https://www.virustotal.com/file/ecc1...is/1347521054/
    x86_64: https://www.virustotal.com/file/5581...is/1347521073/
    Instead of trusting me (which you shouldn't) or trusting virustotal (which is more trustworthy than me, but still not enough) you can compile it yourself.

    Quote Originally Posted by Mopquill View Post
    I use Windows myself, but if I can set up good way to compile this for Linux either on my Windows machine or my server, I'll start doing so myself. Thanks again.
    I compiled them by using clang++ as compiler. You could use gcc as well if you want. The paramaters for both compilers are the same. The simplest way to compile it is propably by running:

    Code:
    clang++ -m32 -march=i686   -mtune=generic -shared -I /usr/share/teamspeak/pluginsdk/include -fPIC -o TS3MassMover.so plugin.cpp
    and

    Code:
    clang++ -m64 -march=x86-64 -mtune=generic -shared -I /usr/share/teamspeak/pluginsdk/include -fPIC -o TS3MassMover.so plugin.cpp
    which omits all the optional optimisation stuff.

  7. #97
    Join Date
    December 2009
    Location
    Deutschland
    Posts
    13
    Download links aren't working anymore.

  8. #98
    Join Date
    December 2009
    Location
    Germany
    Posts
    2,356
    Quote Originally Posted by Nepumax View Post
    Download links aren't working anymore.
    Links from Mopquill still works for me: http://forum.teamspeak.com/showthrea...477#post325477

  9. #99
    Join Date
    April 2012
    Posts
    46
    Quote Originally Posted by sseering View Post
    Instead of trusting me (which you shouldn't) or trusting virustotal (which is more trustworthy than me, but still not enough) you can compile it yourself.
    VirusTotal has ClamAV, which near as I know, is the standard for Linux. Either way, compiling myself sounds good to me.


    Quote Originally Posted by sseering View Post
    I compiled them by using clang++ as compiler. You could use gcc as well if you want. The paramaters for both compilers are the same. The simplest way to compile it is propably by running:

    Code:
    clang++ -m32 -march=i686   -mtune=generic -shared -I /usr/share/teamspeak/pluginsdk/include -fPIC -o TS3MassMover.so plugin.cpp
    and

    Code:
    clang++ -m64 -march=x86-64 -mtune=generic -shared -I /usr/share/teamspeak/pluginsdk/include -fPIC -o TS3MassMover.so plugin.cpp
    which omits all the optional optimisation stuff.
    I generally prefer using gcc/g++, so I'll probably go with that if I can get it to work. Thanks a lot for the code snippets! If I get some time prior to the next TeamSpeak release, I'll try seeing if I can get this version compiling in linux and, if I can, write a script to automate it. Then next release, I can just package it all together. Thanks again! =]

  10. #100
    Join Date
    September 2012
    Posts
    4
    I cant find any information regarding this error, probably is user error (myself) but I wanted to be sure.

    I downloaded the plugin. and Extracted the .dll to the plugin folder for my client for the right bit system (mine is 64)

    I restart TS client and go to plug in, on the left side it shows TSMassMover.dll in red and when you click it gives this information in the description: Plugin failed to load: Failed to open plugin.

    How do I go around fixing this problem if it is one?
    Last edited by Mike0612; October 4th, 2012 at 02:08 AM.

  11. #101
    Join Date
    April 2012
    Posts
    46
    Are you sure that:
    a)your system is 64-bit
    b) your TeamSpeak are 64-bit
    AND
    c) you installed the 64-bit DLL to the 64-bit TeamSpeak (C:\Program Files\TeamSpeak 3 Client\plugins\)

    My guess is that you're either running the 32-bit TeamSpeak and installed the 64-bit plugin (or less likely, vice versa), OR you have both the 32-bit and 64-bit clients installed, and run the 64-bit client, but installed the 64-bit plugin to the 32-bit client and just have an old version installed in your 64-bit client (check the API version of the plugin versus the required).

    If none of that fixes things, I'll be happy to troubleshoot further, but please doublecheck ALL of these things. They are simple, rather easy mistakes to make.

  12. #102
    Join Date
    September 2012
    Posts
    4
    After checking what you told me. I do have 64 bit computer. only problem was I was using a 32 bit client, normally i make sure i have the right one for my computer. Downloaded the 64 bit client and moved the 64 bit .dll to that folder (the 64 bit client one) and loaded and says API incompatible.. API of TS3Mass is 16, my client requires 18.

  13. #103
    Join Date
    April 2012
    Posts
    46
    Quote Originally Posted by Mike0612 View Post
    After checking what you told me. I do have 64 bit computer. only problem was I was using a 32 bit client, normally i make sure i have the right one for my computer. Downloaded the 64 bit client and moved the 64 bit .dll to that folder (the 64 bit client one) and loaded and says API incompatible.. API of TS3Mass is 16, my client requires 18.
    Right, please read the thread (even just the most recent page!) -- the most recent downloads are not in the first post, they're in my posts as I update.

    For your convenience:
    Zip Archive (loose files)
    TS3_Plugin Installer

  14. #104
    Join Date
    January 2010
    Location
    Hinterfeitupfing
    Posts
    40
    Version 0.56.18 (06.10.2012)
    • Add version info to DLLs
    • Updated TS3 Client API version to 18 (needed for 3.0.8)

  15. #105
    Join Date
    April 2012
    Posts
    46
    Quote Originally Posted by Mr. S View Post
    Version 0.56.18 (06.10.2012)
    • Add version info to DLLs
    • Updated TS3 Client API version to 18 (needed for 3.0.8)
    Read the thread lately? I've had it updated to API v18 for quite a while now. :P

    Also, I believe Stefan was trying to get into contact with you.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. TS3MassMover - TS3 Client Plugin to move clients
    By Mr. S in forum Client Plugins / Lua Scripts
    Replies: 15
    Last Post: August 4th, 2018, 11:54 AM
  2. [Outdated] WalkieTalkie TS3 plugin (addon)
    By cracker in forum Client Plugins / Lua Scripts
    Replies: 130
    Last Post: February 9th, 2016, 02:04 AM
  3. [Request] Move clients, move has to be accepted
    By steaked in forum Tools / Web Based
    Replies: 1
    Last Post: February 8th, 2016, 11:24 AM
  4. [Outdated] TS3 GroupChat Plugin
    By SilentStorm in forum Client Plugins / Lua Scripts
    Replies: 36
    Last Post: October 15th, 2014, 02:04 AM
  5. Replies: 3
    Last Post: July 14th, 2010, 10:30 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •